Unable to compile SVN version on (x)Ubuntu 14.04

Trying to build your own version of Vega Strike and having problems? Unix users, paste your config.log here (stderr output alone is not helpful).

Unable to compile SVN version on (x)Ubuntu 14.04

Postby hack-wizard » Fri Jan 08, 2016 10:54 pm

Ok, I would past the config.log, but the ccmake method I used described here doesn't seem to produce one, so I'll post the point in the output where the two errors occured:

Code: Select all
[ 80%] Building CXX object CMakeFiles/vegastrike.dir/src/gfx/vid_file.cpp.o
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp: In destructor ‘VidFileImpl::~VidFileImpl()’:
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp:204:13: warning: ‘void av_close_input_file(AVFormatContext*)’ is deprecated (declared at /usr/include/libavformat/avformat.h:1397) [-Wdeprecated-declarations]
             av_close_input_file( pFormatCtx );
             ^
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp:204:45: warning: ‘void av_close_input_file(AVFormatContext*)’ is deprecated (declared at /usr/include/libavformat/avformat.h:1397) [-Wdeprecated-declarations]
             av_close_input_file( pFormatCtx );
                                             ^
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp: In member function ‘void VidFileImpl::open(const string&)’:
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp:217:54: error: ‘av_find_stream_info’ was not declared in this scope
             || ( 0 > av_find_stream_info( pFormatCtx ) ) ) throw VidFile::FileOpenException( errbase+" (wrong format or)" );
                                                      ^
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp:244:45: error: ‘avcodec_open’ was not declared in this scope
         if (avcodec_open( pCodecCtx, pCodec ) < 0) throw VidFile::UnsupportedCodecException( errbase+" (unsupported codec)" );
                                             ^
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp:258:39: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
             while (width < pCodecCtx->width && width <= (fbDimensionLimit/2)) width *= 2;
                                       ^
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp:259:40: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
             while (height < pCodecCtx->height && height <= (fbDimensionLimit/2)) height *= 2;
                                        ^
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp: In member function ‘bool VidFileImpl::seek(float)’:
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp:301:68: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         if ( (targetPTS >= prevPTS) && (targetPTS < pNextFrameYUV->pts) ) {
                                                                    ^
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp:331:42: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
                 if (pNextFrameYUV->pts < targetPTS) {
                                          ^
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp:337:37: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
                 while (packet.dts < targetPTS) {
                                     ^
/home/hack/VegaStrike/vegastrike/src/gfx/vid_file.cpp:343:45: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
                 while (pNextFrameYUV->pts < targetPTS) {
                                             ^
make[2]: *** [CMakeFiles/vegastrike.dir/src/gfx/vid_file.cpp.o] Error 1
make[1]: *** [CMakeFiles/vegastrike.dir/all] Error 2
make: *** [all] Error 2


and ... dang, I was soooo close too!!!

Would somebody care to tell me why this happened and how I can fix it? Now that I finally have a nice system I really, really wanna play VS again!
hack-wizard
Explorer
Explorer
 
Posts: 8
Topics: 2
Joined: Fri Jul 23, 2010 6:25 pm

Share On:

Share on Facebook Facebook Share on Twitter Twitter Share on Digg Digg

Re: Unable to compile SVN version on (x)Ubuntu 14.04

Postby CLoneWolf » Sat Jan 09, 2016 6:17 am

You could try disabling ffmpeg in ccmake
CLoneWolf
ISO Party Member
ISO Party Member
 
Posts: 442
Topics: 9
Joined: Thu May 01, 2008 10:14 am

Re: Unable to compile SVN version on (x)Ubuntu 14.04

Postby hack-wizard » Sat Jan 09, 2016 8:17 am

Thanks, it compiled successfully ...

One thing I don't quite understand though, why is it that only the simplest and onboard shaders will work for me? The rest just make a clear blue-ish sphere with blinking dots in it wherever there are any ships. I know my GPU isn't anything special, but it is at least of modest capacity, is there something I can do to remedy this?
hack-wizard
Explorer
Explorer
 
Posts: 8
Topics: 2
Joined: Fri Jul 23, 2010 6:25 pm

Re: Unable to compile SVN version on (x)Ubuntu 14.04

Postby loki1950 » Sat Jan 09, 2016 9:53 am

Just what is that GPU it dies make a difference.

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 18/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and DELL E6400 4GB ram/100 GB HD Mint 17.3 6
User avatar
loki1950
The Shepherd
 
Posts: 5708
Topics: 51
Joined: Fri May 13, 2005 1:37 pm
Location: Ottawa

Re: Unable to compile SVN version on (x)Ubuntu 14.04

Postby hack-wizard » Sat Jan 09, 2016 1:18 pm

Will have to look when I get home for all the specs but I know it's an AMD/ATI Trinity.
hack-wizard
Explorer
Explorer
 
Posts: 8
Topics: 2
Joined: Fri Jul 23, 2010 6:25 pm

Re: Unable to compile SVN version on (x)Ubuntu 14.04

Postby loki1950 » Sat Jan 09, 2016 5:22 pm

Ah so are you using the default open source driver or the AMD/ATI provided one I would prefer the proprietary one as it usually supports all of the GPU's features.

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 18/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and DELL E6400 4GB ram/100 GB HD Mint 17.3 6
User avatar
loki1950
The Shepherd
 
Posts: 5708
Topics: 51
Joined: Fri May 13, 2005 1:37 pm
Location: Ottawa

Re: Unable to compile SVN version on (x)Ubuntu 14.04

Postby hack-wizard » Sat Jan 09, 2016 7:45 pm

The fglrx drivers are sooo buggy though.... will try it later tonight.
hack-wizard
Explorer
Explorer
 
Posts: 8
Topics: 2
Joined: Fri Jul 23, 2010 6:25 pm

Re: Unable to compile SVN version on (x)Ubuntu 14.04

Postby loki1950 » Sat Jan 09, 2016 11:01 pm

hack-wizard wrote:The fglrx drivers are sooo buggy though.... will try it later tonight.


Yeah they are at that forgotten the number we have exposed over the years :roll: ATI even gave a top card to our founder umpteen years ago before AMD bought them :mrgreen: so we could expose some more :lol:

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 18/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and DELL E6400 4GB ram/100 GB HD Mint 17.3 6
User avatar
loki1950
The Shepherd
 
Posts: 5708
Topics: 51
Joined: Fri May 13, 2005 1:37 pm
Location: Ottawa

Re: Unable to compile SVN version on (x)Ubuntu 14.04

Postby hack-wizard » Sat Jan 09, 2016 11:07 pm

Well, the shaders work with it, but they don't look any better and the odd light blue sphere is still appearing. I think I'll just go back to the open source ones, which are slightly less buggy and live with weak shaders.
hack-wizard
Explorer
Explorer
 
Posts: 8
Topics: 2
Joined: Fri Jul 23, 2010 6:25 pm

Re: Unable to compile SVN version on (x)Ubuntu 14.04

Postby drifter » Sun Jan 10, 2016 4:47 am

hack-wizard wrote:Well, the shaders work with it, but they don't look any better and the odd light blue sphere is still appearing. I think I'll just go back to the open source ones, which are slightly less buggy and live with weak shaders.

What you could try is running vs through an opengl debugger to see if the driver complains about anything.

One option is apitrace: https://github.com/apitrace/apitrace/bl ... E.markdown . Ubuntu should have it in their software repos.
Capture a trace: apitrace trace /path/to/application
Load it into qapitrace and replay.
It will check for errors after each opengl call (Trace > Options > Error queries ON).
drifter
Explorer
Explorer
 
Posts: 10
Topics: 1
Joined: Sat Oct 18, 2014 5:58 pm



Return to Compiling Problems [paste config.log]

Who is online

Users browsing this forum: No registered users and 2 guests

cron